from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XFramesSupplier(XFrame, Protocol):
    def getFrames(self) -> XFrames: ...
    def getActiveFrame(self) -> XFrame: ...
    def setActiveFrame(self, Frame: XFrame) -> None: ...
